# 

# - Try to find Gtk3
# Once done this will define
#  GTK3_FOUND - System has Gtk3
#  GTK3_INCLUDE_DIRS - The Gtk3 include directories
#  GTK3_LIBRARIES - The libraries needed to use Gtk3
#  GTK3_DEFINITIONS - Compiler switches required for using Gtk3

#find_package(PkgConfig)
#pkg_check_modules(PC_GTK3 QUIET )
#set(GTK3_DEFINITIONS ${PC_GTK3_CFLAGS_OTHER})

find_path(GTK3_INCLUDE_DIR gtk-3.0/gtk/gtk.h
          HINTS ${PC_GTK3_INCLUDEDIR} ${PC_GTK3_INCLUDE_DIRS}
          PATH_SUFFIXES gtk3 )

find_library(GTK3_LIBRARY NAMES libgtk-3.so
             HINTS ${PC_GTK3_LIBDIR} ${PC_GTK3_LIBRARY_DIRS} )

set(GTK3_LIBRARIES ${GTK3_LIBRARY} )
set(GTK3_INCLUDE_DIRS ${GTK3_INCLUDE_DIR} )

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set GTK3_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(Gtk3  DEFAULT_MSG
                                  GTK3_LIBRARY GTK3_INCLUDE_DIR)
mark_as_advanced(GTK3_INCLUDE_DIR GTK3_LIBRARY )
