/* 
 * File:   PopupTransientWindow.h
 * Author: Saleem EDAH-TALLY - nmset@yandex.com
 * License : LGPL
 * Copyright Saleem EDAH-TALLY - © 2017
 *
 * Created on 3 mars 2017, 19:45
 */

#ifndef POPUPTRANSIENTWINDOW_H
#define POPUPTRANSIENTWINDOW_H

#include <wx/wx.h>
#include <wx/popupwin.h>

/** No further functionality provided here than wxPopupTransientWindow
 * Just calls Destroy() on dismiss.
 */
class PopupTransientWindow : public wxPopupTransientWindow
{
public:
    PopupTransientWindow();
    PopupTransientWindow(wxWindow *parent, int flags = wxBORDER_NONE);
    virtual ~PopupTransientWindow();

    void OnDismiss();

private:
};

#endif /* POPUPTRANSIENTWINDOW_H */

