/////////////////////////////////////////////////////////////////////////////
// Name:        cb7app.cpp
// Purpose:     
// Author:      Saleem EDAH-TALLY - nmset@yandex.com
// Modified by: 
// Created:     lun. 27 févr. 2017 21:56:35 CET
// RCS-ID:      
// Copyright:   Saleem EDAH-TALLY - © 2017
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#include "../../gcc_version.h"

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
////@end includes

#include "cb7app.h"

////@begin XPM images

////@end XPM images

#include <X11/Xlib.h>
#include "../../XCB7.h"
#include "../../globals.h"

/*
 * Application instance implementation
 */

////@begin implement app
IMPLEMENT_APP( CB7App )
////@end implement app


/*
 * CB7App type definition
 */

IMPLEMENT_CLASS( CB7App, wxApp )


/*
 * CB7App event table definition
 */

BEGIN_EVENT_TABLE( CB7App, wxApp )

////@begin CB7App event table entries
////@end CB7App event table entries

END_EVENT_TABLE()


/*
 * Constructor for CB7App
 */

CB7App::CB7App()
{
    Init();
}


/*
 * Member initialisation
 */

void CB7App::Init()
{
    XInitThreads();
    
////@begin CB7App member initialisation
////@end CB7App member initialisation
}

/*
 * Initialisation for CB7App
 */

bool CB7App::OnInit()
{    
////@begin CB7App initialisation
    // Remove the comment markers above and below this block
    // to make permanent changes to the code.

#if wxUSE_XPM
    wxImage::AddHandler(new wxXPMHandler);
#endif
#if wxUSE_LIBPNG
    wxImage::AddHandler(new wxPNGHandler);
#endif
#if wxUSE_LIBJPEG
    wxImage::AddHandler(new wxJPEGHandler);
#endif
#if wxUSE_GIF
    wxImage::AddHandler(new wxGIFHandler);
#endif
////@end CB7App initialisation
    SetAppName(_APPNAME_);
    m_locale.Init(wxLANGUAGE_DEFAULT);
    wxTranslations::Get()->AddStdCatalog();
    m_locale.AddCatalog(_APPNAME_);
    
    XCB7 * frm = new XCB7(NULL);
    SetTopWindow(frm);
    frm->Show(false);
    bool res = frm->ParseCmdLine();
    if (res) {
        frm->Start();
        frm->Show();
    }
    
    return res;
}


/*
 * Cleanup for CB7App
 */

int CB7App::OnExit()
{    
////@begin CB7App cleanup
    return wxApp::OnExit();
////@end CB7App cleanup
}

