/* 
 * File:   globals.h
 * Author: Saleem EDAH-TALLY - nmset@yandex.com
 * License : GPL
 * Copyright Saleem EDAH-TALLY - © 2017
 *
 * Created on 27 février 2017, 22:28
 */

#ifndef GLOBALS_H
#define GLOBALS_H

#include <wx/wx.h>
#include <wx/filename.h>

#define _APPNAME_ wxString(_T("CB7"))
#define _APPVERSION_ wxString(_T("13"))
#define _APPTITLE_ wxString(_T("Classeur de bureau")) // Don't translate this one.

#define _SLASH_ wxString(_T("/"))
#define _DOT_ wxString(_T("."))
#define _DASH_ wxString(_T("-"))
#define _NL_ wxString(_T("\n"))
#define _SPACE_ wxString(_T(" "))
#define _UNDERSCORE_ wxString(_T("_"))

#define _SEP_ wxFileName::GetPathSeparator()

#endif /* GLOBALS_H */

